io.undertow.protocols.http2

## Class Http2HeadersStreamSinkChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>
  - - io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel
    - - io.undertow.protocols.http2.Http2StreamSinkChannel
      - - io.undertow.protocols.http2.Http2DataStreamSinkChannel
        - - io.undertow.protocols.http2.Http2HeadersStreamSinkChannel

All Implemented Interfaces:
  Http2Stream, Closeable, AutoCloseable, Channel, GatheringByteChannel, InterruptibleChannel, WritableByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSinkChannel, org.xnio.channels.SuspendableWriteChannel

    public class Http2HeadersStreamSinkChannel
    extends Http2DataStreamSinkChannel

Headers channel

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from class io.undertow.protocols.http2.Http2DataStreamSinkChannel

`Http2DataStreamSinkChannel.TrailersProducer`

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`Http2HeadersStreamSinkChannel(Http2Channel channel, int streamId)`
`Http2HeadersStreamSinkChannel(Http2Channel channel, int streamId, HeaderMap headers)`

### Method Summary

### Methods inherited from class io.undertow.protocols.http2.Http2DataStreamSinkChannel

`channelForciblyClosed, createFrameHeaderImpl, flush, getCompletionListener, getHeaders, getTrailersProducer, handleFlushComplete, isFlushRequiredOnEmptyBuffer, setCompletionListener, setTrailersProducer, write, write, write, writeBeforeHeaderBlock, writeFinal, writeFinal, writeFinal`

### Methods inherited from class io.undertow.protocols.http2.Http2StreamSinkChannel

`allocateAll, awaitWritable, awaitWritable, createFrameHeader, getStreamId, grabFlowControlBytes`

### Methods inherited from class io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel

`isLastFrame`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel

`close, getAwaitWritableTimeout, getBuffer, getChannel, getCloseSetter, getIoThread, getOption, getWorker, getWriteSetter, getWriteThread, isBroken, isBufferFull, isFinalFrameQueued, isFirstDataWritten, isOpen, isReadyForFlush, isWriteResumed, isWritesShutdown, markBroken, preWriteTransform, resumeWrites, resumeWritesInternal, safeToSend, send, sendInternal, setOption, shutdownWrites, supportsOption, suspendWrites, transferFrom, transferFrom, wakeupWrites`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.undertow.protocols.http2.Http2Stream

`getStreamId`

### Constructor Detail

#### Http2HeadersStreamSinkChannel

    public Http2HeadersStreamSinkChannel(Http2Channel channel,
                                         int streamId)

#### Http2HeadersStreamSinkChannel

    public Http2HeadersStreamSinkChannel(Http2Channel channel,
                                         int streamId,
                                         HeaderMap headers)